| gclib 2.4.1 Galil Communications Library

Loading...
Searching...
No Matches
Functions
Axis
C » Controller » Data Record

Axis-specific values, such as position or torque. More...

## Functions
bool | gclib_data_record_motor_off (gclib_data_record_handle h, char axis)
| Get motor off status.
bool | gclib_data_record_latch_armed (gclib_data_record_handle h, char axis)
| Get latch armed.
bool | gclib_data_record_final_deceleration (gclib_data_record_handle h, char axis)
| Returns true when axis is in final deceleration.
bool | gclib_data_record_stopping (gclib_data_record_handle h, char axis)
| Returns true if axis is stopping.
bool | gclib_data_record_slewing (gclib_data_record_handle h, char axis)
| Returns true if axis is slewing.
gclib_mode_of_motion_t | gclib_data_record_mode_of_motion (gclib_data_record_handle h, char axis)
| Returns the mode of motion being profiled.
bool | gclib_data_record_negative_direction_move (gclib_data_record_handle h, char axis)
| Returns true if axis velocity is negative.
bool | gclib_data_record_moving (gclib_data_record_handle h, char axis)
| Returns true if motion is being profiled.
int | gclib_data_record_home_phase (gclib_data_record_handle h, char axis)
| Returns home phase when in GCLIB_HOME mode.
bool | gclib_data_record_stepper_mode (gclib_data_record_handle h, char axis)
| Returns true if axis is configured as a stepper motor.
bool | gclib_data_record_home_input (gclib_data_record_handle h, char axis)
| Returns the state of the home input.
bool | gclib_data_record_reverse_limit (gclib_data_record_handle h, char axis)
| Returns the state of the reverse limit.
bool | gclib_data_record_forward_limit (gclib_data_record_handle h, char axis)
| Returns the state of the forward limit.
bool | gclib_data_record_latch_input (gclib_data_record_handle h, char axis)
| Returns the state of the latch input.
bool | gclib_data_record_latch_occurred (gclib_data_record_handle h, char axis)
| Returns whether the latch was triggered.
uint8_t | gclib_data_record_stop_code (gclib_data_record_handle h, char axis)
| Returns a code indicating why the motor has stopped. See the SC command reference for details.
int32_t | gclib_data_record_reference_position (gclib_data_record_handle h, char axis)
| Returns the reference position.
int32_t | gclib_data_record_position (gclib_data_record_handle h, char axis)
| Returns the position.
int32_t | gclib_data_record_position_error (gclib_data_record_handle h, char axis)
| Returns the position error.
int32_t | gclib_data_record_aux_position (gclib_data_record_handle h, char axis)
| Returns the auxiliary position.
int32_t | gclib_data_record_velocity (gclib_data_record_handle h, char axis)
| Returns the velocity.
double | gclib_data_record_torque (gclib_data_record_handle h, char axis)
| Returns the torque.
double | gclib_data_record_analog_input (gclib_data_record_handle h, char axis)
| Returns the analog input.
uint8_t | gclib_data_record_halls (gclib_data_record_handle h, char axis)
| Returns the hall state.
int32_t | gclib_data_record_variable (gclib_data_record_handle h, char axis)
| Returns the value of a user variable for an axis.
bool | gclib_data_record_hall_error (gclib_data_record_handle h, char axis)
| Returns true if the amplifier for this axis has triggered a hall error.
bool | gclib_data_record_peak_current (gclib_data_record_handle h, char axis)
| Returns true if the amplifier for this axis has triggered a peak current error.

## Detailed Description

Axis-specific values, such as position or torque.

## Function Documentation

## ◆ gclib_data_record_motor_off()

bool gclib_data_record_motor_off | ( | gclib_data_record_handle | h,
|  | char | axis )

Get motor off status.

## ◆ gclib_data_record_latch_armed()

bool gclib_data_record_latch_armed | ( | gclib_data_record_handle | h,
|  | char | axis )

Get latch armed.

## ◆ gclib_data_record_final_deceleration()

bool gclib_data_record_final_deceleration | ( | gclib_data_record_handle | h,
|  | char | axis )

Returns true when axis is in final deceleration.

## ◆ gclib_data_record_stopping()

bool gclib_data_record_stopping | ( | gclib_data_record_handle | h,
|  | char | axis )

Returns true if axis is stopping.

## ◆ gclib_data_record_slewing()

bool gclib_data_record_slewing | ( | gclib_data_record_handle | h,
|  | char | axis )

Returns true if axis is slewing.

## ◆ gclib_data_record_mode_of_motion()

gclib_mode_of_motion_t gclib_data_record_mode_of_motion | ( | gclib_data_record_handle | h,
|  | char | axis )

Returns the mode of motion being profiled.

## ◆ gclib_data_record_negative_direction_move()

bool gclib_data_record_negative_direction_move | ( | gclib_data_record_handle | h,
|  | char | axis )

Returns true if axis velocity is negative.

## ◆ gclib_data_record_moving()

bool gclib_data_record_moving | ( | gclib_data_record_handle | h,
|  | char | axis )

Returns true if motion is being profiled.

## ◆ gclib_data_record_home_phase()

int gclib_data_record_home_phase | ( | gclib_data_record_handle | h,
|  | char | axis )

Returns home phase when in GCLIB_HOME mode.

## ◆ gclib_data_record_stepper_mode()

bool gclib_data_record_stepper_mode | ( | gclib_data_record_handle | h,
|  | char | axis )

Returns true if axis is configured as a stepper motor.

## ◆ gclib_data_record_home_input()

bool gclib_data_record_home_input | ( | gclib_data_record_handle | h,
|  | char | axis )

Returns the state of the home input.

## ◆ gclib_data_record_reverse_limit()

bool gclib_data_record_reverse_limit | ( | gclib_data_record_handle | h,
|  | char | axis )

Returns the state of the reverse limit.

## ◆ gclib_data_record_forward_limit()

bool gclib_data_record_forward_limit | ( | gclib_data_record_handle | h,
|  | char | axis )

Returns the state of the forward limit.

## ◆ gclib_data_record_latch_input()

bool gclib_data_record_latch_input | ( | gclib_data_record_handle | h,
|  | char | axis )

Returns the state of the latch input.

## ◆ gclib_data_record_latch_occurred()

bool gclib_data_record_latch_occurred | ( | gclib_data_record_handle | h,
|  | char | axis )

Returns whether the latch was triggered.

## ◆ gclib_data_record_stop_code()

uint8_t gclib_data_record_stop_code | ( | gclib_data_record_handle | h,
|  | char | axis )

Returns a code indicating why the motor has stopped. See the SC command reference for details.

## ◆ gclib_data_record_reference_position()

int32_t gclib_data_record_reference_position | ( | gclib_data_record_handle | h,
|  | char | axis )

Returns the reference position.

## ◆ gclib_data_record_position()

int32_t gclib_data_record_position | ( | gclib_data_record_handle | h,
|  | char | axis )

Returns the position.

## ◆ gclib_data_record_position_error()

int32_t gclib_data_record_position_error | ( | gclib_data_record_handle | h,
|  | char | axis )

Returns the position error.

## ◆ gclib_data_record_aux_position()

int32_t gclib_data_record_aux_position | ( | gclib_data_record_handle | h,
|  | char | axis )

Returns the auxiliary position.

## ◆ gclib_data_record_velocity()

int32_t gclib_data_record_velocity | ( | gclib_data_record_handle | h,
|  | char | axis )

Returns the velocity.

## ◆ gclib_data_record_torque()

double gclib_data_record_torque | ( | gclib_data_record_handle | h,
|  | char | axis )

Returns the torque.

## ◆ gclib_data_record_analog_input()

double gclib_data_record_analog_input | ( | gclib_data_record_handle | h,
|  | char | axis )

Returns the analog input.

## ◆ gclib_data_record_halls()

uint8_t gclib_data_record_halls | ( | gclib_data_record_handle | h,
|  | char | axis )

Returns the hall state.

## ◆ gclib_data_record_variable()

int32_t gclib_data_record_variable | ( | gclib_data_record_handle | h,
|  | char | axis )

Returns the value of a user variable for an axis.

## ◆ gclib_data_record_hall_error()

bool gclib_data_record_hall_error | ( | gclib_data_record_handle | h,
|  | char | axis )

Returns true if the amplifier for this axis has triggered a hall error.

## ◆ gclib_data_record_peak_current()

bool gclib_data_record_peak_current | ( | gclib_data_record_handle | h,
|  | char | axis )

Returns true if the amplifier for this axis has triggered a peak current error.